tbb::flow::interface10::graph::spawn_functor Class Reference

A functor that spawns a task. More...

Inheritance diagram for tbb::flow::interface10::graph::spawn_functor:
Collaboration diagram for tbb::flow::interface10::graph::spawn_functor:

## Public Member Functions

| spawn_functor (tbb::task &t)
void | operator() () const

## Private Attributes

tbb::task & | spawn_task

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

A functor that spawns a task.

Definition at line 256 of file _flow_graph_impl.h.

## Constructor & Destructor Documentation

## spawn_functor()

tbb::flow::interface10::graph::spawn_functor::spawn_functor | ( | tbb::task & | t | ) |

inline

Definition at line 259 of file _flow_graph_impl.h.

: spawn_task(t) {}

## Member Function Documentation

## operator()()

void tbb::flow::interface10::graph::spawn_functor::operator() | ( |  | ) | const

inline

Definition at line 260 of file _flow_graph_impl.h.

{
FLOW_SPAWN(spawn_task);
}

References FLOW_SPAWN, and spawn_task.

## Member Data Documentation

## spawn_task

tbb::task& tbb::flow::interface10::graph::spawn_functor::spawn_task

private

Definition at line 257 of file _flow_graph_impl.h.

Referenced by operator()().

The documentation for this class was generated from the following file:

- _flow_graph_impl.h

tbb::flow::interface10::graph::spawn_functor::spawn_task
tbb::task & spawn_task
Definition: _flow_graph_impl.h:257
FLOW_SPAWN
#define FLOW_SPAWN(a)
Definition: _flow_graph_impl.h:34

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.